Class | Tk::BWidget::PanedWindow
In: | tk/lib/tkextlib/bwidget/panedwindow.rb
Parent: | TkWindow

### Methods

add get_frame

### Constants

TkCommandNames | = | ['PanedWindow'.freeze].freeze
WidgetClassName | = | 'PanedWindow'.freeze

### Public Instance methods

add(keys={})

[Source]

    # File tk/lib/tkextlib/bwidget/panedwindow.rb, line 22
      def add(keys={})
        window(tk_send('add', *hash_kv(keys)))
      end

get_frame(idx, &b)

[Source]

    # File tk/lib/tkextlib/bwidget/panedwindow.rb, line 26
      def get_frame(idx, &b)
        win = window(tk_send_without_enc('getframe', idx))
        win.instance_eval(&b) if b
        win
      end

[Validate]